import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Hungry things are Alive, but also want to eat Alive things.
 * 
 * @author BenMcBen
 * @version 10/26/2014
 */
public class Hungry extends Alive
{
    public String represent() {
        return "Hu";
    }
    public boolean pressingRight() {
        return (int) (Math.random()*100) < 50;
    }
    public boolean pressingLeft() {
        return (int) (Math.random()*100) < 50;
    }
    public boolean pressingJump() {
        return false;
    }
    public void eat() {
        setLocation(getX() + step, getY());
        removeTouching(Alive.class);
        setLocation(getX() - 2*step, getY());
        removeTouching(Alive.class);
        setLocation(getX() + step, getY());
    }
    public void work() {
        super.work();
        eat();
    }    
}
