import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A MiniBoss is like a Boss, except that it doesn't have as much HP and it's not big. This particular
 * MiniBoss is a doppelganger.
 * 
 * @author BenMcBen
 * @version 10/27/2014
 */
public class MiniBoss extends Enemy {
    public String represent() {
        return "MiBo";
    }
    public MiniBoss() {
        super();
        health = 6;
    }
    public boolean pressingLeft() {
        return Greenfoot.isKeyDown("right") || Greenfoot.isKeyDown("d");
    }
    public boolean pressingRight() {
        return Greenfoot.isKeyDown("left") || Greenfoot.isKeyDown("a");
    }
    public boolean pressingJump() {
        return Greenfoot.isKeyDown("up") || Greenfoot.isKeyDown("w");
    }
}
