import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The PhysPlatform is a Platform that moves things it touches by affecting their velocity instead of
 * by directly affecting their position.
 * 
 * @author BenMcBen
 * @version 10/26/2014
 */
public class PhysPlatform extends Platform
{
    public String represent() {
        return "PhPl";
    }
    public void scoot(PlatformJumper pj) {
        pj.setVel(xVel, yVel);
    }
}
