import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Pushable things can be scooted by anything, even if that thing isn't a Paddle of any kind.
 * 
 * @author BenMcBen
 * @version 10/26/2014
 */
public class Pushable extends PlatformJumper
{
    public String represent() {
        return "Pu";
    }
    public boolean pressingRight() {
        boolean ret;
        setLocation(getX() - step, getY());
        ret = isTouching(PlatformSolid.class);
        setLocation(getX() + step, getY());
        return ret;
    }
    public boolean pressingLeft() {
        boolean ret;
        setLocation(getX() + step, getY());
        ret = isTouching(PlatformSolid.class);
        setLocation(getX() - step, getY());
        return ret;
    }
    public boolean pressingJump() {
        return false;
    }
}
