import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A Springboard is a Pushable thing that springs anything on top of it upwards.
 * 
 * @author BenMcBen
 * @version 10/27/2014
 */
public class Springboard extends Pushable {
    public String represent() {
        return "Sp";
    }
    public void work() {
        super.work();
        setLocation(getX(), getY() - 2*step);
        PlatformJumper pj = (PlatformJumper) getOneIntersectingObject(PlatformJumper.class);
        if (pj != null) {
            pj.setVel(pj.getXVel(), -30);
        }
        setLocation(getX(), getY() + 2*step);
    }
}
