import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The PhysPaddle is a Paddle that moves things it touches by affecting their velocity
 * instead of directly affecting their position.
 * 
 * @author BenMcBen
 * @version 10/26/2014
 */
public class PhysPaddle extends Paddle
{
    public String represent () {
        return "PhPa";
    }
    public void scoot(PlatformJumper pj) {
        pj.setVel(xVel, yVel);
    }
}
